﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Globalization;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            for (int month = 1; month <= 12; month++)
            {
                string monthName = DateTimeFormatInfo.CurrentInfo.GetMonthName(month);
                ddlMonthNames.Items.Add(new ListItem(monthName, month.ToString().PadLeft(2, '0')));
            }

            for (int month = 1; month <= 12; month++)
            {
                ddlMonths.Items.Add(new ListItem(month.ToString().PadLeft(2, '0'), month.ToString().PadLeft(2, '0')));
            }
        }
    }

    protected void Submit(object sender, EventArgs e)
    {
        string message = "DropDown1: " + ddlMonthNames.SelectedItem.Text + " " + ddlMonthNames.SelectedItem.Value + "\\n";
        message += "DropDow21: " + ddlMonths.SelectedItem.Text + " " + ddlMonths.SelectedItem.Value;
        ClientScript.RegisterClientScriptBlock(this.GetType(), "alert", "alert('" + message + "')", true);
    }
}